Bug 1146063 (CVE-2014-6394)

Summary: CVE-2014-6394 nodejs-send: directory traversal vulnerability
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bleanhar, ccoleman, dmcphers, jamielinux, jdetiber, jialiu, jkeck, joelsmith, jokerman, jrusnack, kseifried, lmeyer, mmccomas, mmcgrath, tchollingsworth
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-send 0.8.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-30 05:31:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1146064, 1146065    
Bug Blocks: 1146067    

Description Vasyl Kaigorodov 2014-09-24 11:39:25 UTC
When relying on the root option to restrict file access it may be possible for an application consumer to escape out of the restricted directory and access files in a similarly named directory. For example, static(_dirname + '/public') would allow access to _dirname + '/public-restricted'.

Upstream commit: https://github.com/visionmedia/send/commit/9c6ca9b2c0b880afd3ff91ce0d211213c5fa5f9a
Corresponding pull request: https://github.com/visionmedia/send/pull/59
CVE request: http://seclists.org/oss-sec/2014/q3/640

Comment 1 Vasyl Kaigorodov 2014-09-24 11:40:06 UTC
Created nodejs-send tracking bugs for this issue:

Affects: fedora-all [bug 1146064]
Affects: epel-all [bug 1146065]

Comment 2 Fedora Update System 2014-09-29 04:03:44 UTC
nodejs-send-0.3.0-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-10-06 05:00:32 UTC
nodejs-send-0.3.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-10-06 05:06:06 UTC
nodejs-send-0.3.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.